# Class MouseMotionAdapter

java.lang.Object
java.awt.event.MouseMotionAdapter

All Implemented Interfaces:
  `MouseMotionListener, EventListener`

Direct Known Subclasses:
  `BasicComboPopup.InvocationMouseMotionHandler, BasicComboPopup.ListMouseMotionHandler`

public abstract class MouseMotionAdapter extends Object implements MouseMotionListener
An abstract adapter class for receiving mouse motion events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Mouse motion events occur when a mouse is moved or dragged. (Many such events will be generated in a normal program. To track clicks and other mouse events, use the MouseAdapter.)

Extend this class to create a `MouseEvent` listener and override the methods for the events of interest. (If you implement the `MouseMotionListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a component using the component's `addMouseMotionListener` method. When the mouse is moved or dragged, the relevant method in the listener object is invoked and the `MouseEvent` is passed to it.

Since:
  1.1
See Also:
  - `MouseEvent`
  - `MouseMotionListener`
  - Tutorial: Writing a Mouse Motion Listener

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MouseMotionAdapter()`
Constructs a `MouseMotionAdapter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
Invoked when a mouse button is pressed on a component and then dragged.
`void`
`mouseMoved(MouseEvent e)`
Invoked when the mouse button has been moved on a component (with no buttons no down).

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### MouseMotionAdapter

protected MouseMotionAdapter()
Constructs a `MouseMotionAdapter`.

## Method Details

### mouseDragged

public void mouseDragged(MouseEvent e)
Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Parameters:
  `e` - the event to be processed

### mouseMoved

public void mouseMoved(MouseEvent e)
Invoked when the mouse button has been moved on a component (with no buttons no down).

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Parameters:
  `e` - the event to be processed